﻿/*
    Program znázorňující použití metody s proměnným počtem parametrů.
*/

using System;

namespace Average
{
    class Program
    {
        public static double Average(params double[] values)
        {
            double sum = 0;

            // for (int i = 0; i < values.Length; i++)
            //     sum += values[i];

            foreach (double value in values)
                sum += value;

            return sum / values.Length;
        }

        static void Main(string[] args)
        {
            double[] values1 = { 1.2, 4.52, 3.48, 2.1 };
            double[] values2 = { 8.45, 2.721, 3.58, 4.856, 1.25, 3.0 };

            Console.WriteLine("Aritmetický průměr hodnot v poli 1 je {0,7:F3}",
                Average(values1));
            Console.WriteLine("Aritmetický průměr hodnot v poli 2 je {0,7:F3}",
                Average(values2));
            Console.WriteLine("Aritmetický průměr zadaných hodnot je {0,7:F3}",
                Average(5.22, 3.81, 1.32, 6.18));
        }
    }
}

