﻿/*
    Program ukazující použití konstant.
*/

using System;

namespace Constants
{
    class Physics
    {
        public const double h = 6.626E-34;
        public const double hbar = h / (2 * Math.PI);
        public const double F = 9.6485E4;
    }

    class Program
    {
        static void Main(string[] args)
        {
            Console.WriteLine("Planckova konstanta           : " + Physics.h);
            Console.WriteLine("Redukovaná Planckova konstanta: " + Physics.hbar);
            Console.WriteLine("Faradayova konstanta          : " + Physics.F);

            Console.WriteLine();

            // Výše uvedené zápisy jsou ekvivalentní zápisům využívajícím volání 
            // metody ToString()
            Console.WriteLine("Planckova konstanta           : " + Physics.h.ToString());
            Console.WriteLine("Redukovaná Planckova konstanta: " + Physics.hbar.ToString());
            Console.WriteLine("Faradayova konstanta          : " + Physics.F.ToString());
        }
    }
}

