﻿/*
    Program demonstrující přetížení metody.
*/

using System;

namespace OverloadDemo
{
    class Program
    {
        public static double CalcAverage(double a, double b)
        {
            return (a + b) / 2;
        }

        public static double CalcAverage(double a, double b, double c)
        {
            return (a + b + c) / 3;
        }

        static void Main(string[] args)
        {
            double x = 5;
            double y = 3;
            double z = 8;

            Console.WriteLine("Aritmetický průměr čísel {0} a {1} je {2}",
                x, y, CalcAverage(x, y));
            Console.WriteLine("Aritmetický průměr čísel {0}, {1} a {2} je {3}",
                x, y, z, CalcAverage(x, y, z));
        }
    }
}

