﻿/*
    Program ukazující použití rozhraní.
*/

using System;

namespace Point
{
    interface IPoint
    {
        int X { get; set; }
        int Y { get; set; }

        void WritePointCoords();
    }

    class MyPoint : IPoint
    {
        public int X { get; set; }
        public int Y { get; set; }

        public MyPoint(int x, int y)
        {
            X = x;
            Y = y;
        }

        public void WritePointCoords()
        {
            Console.WriteLine("Bod má souřadnice [{0}, {1}]", X, Y);
        }

    }

    class Program
    {
        public static void Main()
        {
            MyPoint p = new MyPoint(2, 3);

            p.WritePointCoords();
            p.X = 4; p.Y = 7;
            p.WritePointCoords();
        }
    }
}

