﻿/*
    Program demonstrující použití rozšiřující metody. 
*/

using System;

namespace ExtMethodDemo
{
    static class Mathem
    {
        public static long CalcFactorial(this int n)
        {
            int i;
            long result = 1;

            for (i = 2; i <= n; i++)
                result *= i;

            return result;
        }

        public static int CalcPower(this int x, int n)
        {
            int i;
            int result = 1;

            for (i = 1; i <= n; i++)
                result *= x;

            return result;
        }
    }

    class Program
    {
        static void Main(string[] args)
        {
            string valueStr;
            int n;
            int x = 2;

            Console.Write("Zadej n: ");
            valueStr = Console.ReadLine();
            n = Convert.ToInt32(valueStr);

            Console.WriteLine("Hodnota {0}! = {1}", n, n.CalcFactorial());
            Console.WriteLine("{0}. mocnina čísla {1} je {2}", n, x, x.CalcPower(n));
        }
    }
}
