﻿/*
    Program pro výpočet vzdálenosti dvou bodů v rovině.
*/

using System;

namespace Points
{
    class Point
    {
        private double x, y;

        public Point()
        {
            x = 0;
            y = 0;
        }

        public Point(double coordx, double coordy)
        {
            x = coordx;
            y = coordy;
        }

        public static double GetDistance(Point a, Point b)
        {
            double dx = a.x - b.x;
            double dy = a.y - b.y;

            return Math.Sqrt(dx * dx + dy * dy);
        }
    }

    class Program
    {
        static void Main(string[] args)
        {
            Point a = new Point();
            Point b = new Point(3, 4);
            double dist = Point.GetDistance(a, b);

            Console.WriteLine("Vzdálenost bodů je: {0}", dist);
        }
    }
}

