﻿/*
    Program pro výpočet obvodu a obsahu čtverce 
    využívající vlastnosti 2.
*/

using System;

namespace SquareProp2
{
    class Square
    {
        public int Side { get; set; }

        public Square()
        {
            Side = 0;
        }

        public Square(int initialSide)
        {
            Side = initialSide;
        }

        public int GetArea()
        {
            return Side * Side;
        }

        public int GetPerimeter()
        {
            return 4 * Side;
        }
    }

    class Program
    {
        static void Main(string[] args)
        {
            string sideStr;
            int sideNum;
            Square sq = new Square();

            Console.Write("Zadej velikost strany v cm: ");
            sideStr = Console.ReadLine();
            sideNum = Convert.ToInt32(sideStr);

            sq.Side = sideNum;
            Console.WriteLine("Obvod čtverce o délce strany {0} cm je {1} cm",
                sideNum, sq.GetPerimeter());
            Console.WriteLine("Obsah čtverce o délce strany {0} cm je {1} cm čtverečných",
                sideNum, sq.GetArea());
        }
    }
}

